LinuxQMISDK: qaGobiApiVoice.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Enumerations | Functions
qaGobiApiVoice.h File Reference
Voice Service (VOICE)

Voice Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | USSInfo
struct | UUSInfo
struct | CUGInfo
struct | calledPartySubAdd
struct | voiceCallRequestParams
struct | alphaIDInfo
struct | ccSUPSType
struct | voiceCallResponseParams
struct | callFwdTypeAndPlan
struct | voiceSetSUPSServiceReq
struct | voiceSetSUPSServiceResp
struct | airTimer
struct | roamTimer
struct | prefVoiceSO
struct | voiceSetConfigReq
struct | voiceSetConfigResp
struct | voiceAnswerCall
struct | CLIRResp
struct | voiceGetCLIRResp
struct | CLIPResp
struct | voiceGetCLIPResp
struct | voiceGetCallWaitInfo
struct | voiceGetCallBarringReq
struct | voiceGetCallBarringResp
struct | voiceGetCallFWReq
struct | callFWInfo
struct | callFWExtInfo
struct | getCallFWInfo
struct | getCallFWExtInfo
struct | voiceGetCallFWResp
struct | voiceSetCallBarringPwdInfo
struct | voiceSetCallBarringPwdResp
struct | callInfo
struct | remotePartyNum
struct | remotePartyName
struct | connectNumInfo
struct | diagInfo
struct | voiceCallInfoReq
struct | voiceCallInfoResp
struct | getAllCallInformation
struct | getAllCallRmtPtyNum
struct | getAllCallRmtPtyName
struct | allCallsUUSInfo
struct | allCallsAlphaIDInfo
struct | allCallsDiagInfo
struct | peerNumberInfo
struct | arrCallInfo
struct | arrRemotePartyNum
struct | arrRemotePartyName
struct | arrAlertingType
struct | arrUUSInfo
struct | arrSvcOption
struct | arrCallEndReason
struct | arrAlphaID
struct | arrConnectPartyNum
struct | arrDiagInfo
struct | arrCalledPartyNum
struct | arrRedirPartyNum
struct | arrAlertingPattern
struct | voiceGetAllCallInfo
struct | voiceManageCallsReq
struct | voiceManageCallsResp
struct | burstDTMFInfo
struct | DTMFLengths
struct | voiceBurstDTMFInfo
struct | voiceContDTMFinfo
struct | voiceStopContDTMFinfo
struct | voiceFlashInfo
struct | voiceSetPrefPrivacy
struct | voiceIndicationRegisterInfo
struct | DTMFInfo
struct | SUPSInfo
struct | newPwdData
struct | COLPResp
struct | COLRResp
struct | CNAPResp
struct | voiceGetConfigReq
struct | curAMRConfig
struct | voiceGetConfigResp
struct | voiceOrigUSSDNoWaitInfo
struct | voiceBindSubscriptionInfo
struct | voiceALSSetLineSwitchInfo
struct | voiceALSSelectLineInfo
struct | voiceGetCOLPResp
struct | voiceGetCOLRResp
struct | voiceGetCNAPResp
struct | USSResp
struct | USSDRespFNetwork

## Macros
#define | MAXUSSDLENGTH 182
#define | MAX_CALL_NO_LEN 81
#define | MAX_DESCRIPTION_LENGTH 255
#define | PASSWORD_LENGTH 4
#define | MAX_NO_OF_CALLS 20

## Enumerations
enum | serviceClassInformation { VOICE_SUPS_SRV_CLASS_NONE = 0x00, VOICE_SUPS_SRV_CLASS_VOICE = 0x01, VOICE_SUPS_SRV_CLASS_DATA = 0x02, VOICE_SUPS_SRV_CLASS_FAX = 0x04, VOICE_SUPS_SRV_CLASS_SMS = 0x08, VOICE_SUPS_SRV_CLASS_DATACIRCUITSYNC = 0x10, VOICE_SUPS_SRV_CLASS_DATACIRCUITASYNC = 0x20, VOICE_SUPS_SRV_CLASS_PACKETACCESS = 0x40, VOICE_SUPS_SRV_CLASS_PADACCESS = 0x80 }

## Functions
ULONG | OriginateUSSD (BYTE *pInfo)
ULONG | AnswerUSSD (BYTE *pInfo)
ULONG | CancelUSSD ()
ULONG | SLQSVoiceDialCall (voiceCallRequestParams *pCallRequestParams, voiceCallResponseParams *pCallResponseParams)
ULONG | SLQSVoiceEndCall (BYTE *pCallId)
ULONG | SLQSVoiceSetSUPSService (voiceSetSUPSServiceReq *pVoiceSetSUPSServiceReq, voiceSetSUPSServiceResp *pVoiceSetSUPSServiceResp)
ULONG | SLQSVoiceSetConfig (voiceSetConfigReq *pVoiceSetConfigReq, voiceSetConfigResp *pVoiceSetConfigResp)
ULONG | SLQSVoiceAnswerCall (voiceAnswerCall *pVoiceAnswerCall)
ULONG | SLQSVoiceGetCLIR (voiceGetCLIRResp *pVoiceGetCLIRResp)
ULONG | SLQSVoiceGetCLIP (voiceGetCLIPResp *pVoiceGetCLIPResp)
ULONG | SLQSVoiceGetCallWaiting (voiceGetCallWaitInfo *pVoiceGetCallWaitInfo)
ULONG | SLQSVoiceGetCallBarring (voiceGetCallBarringReq *pVoiceGetCallBarringReq, voiceGetCallBarringResp *pVoiceGetCallBarringResp)
ULONG | SLQSVoiceGetCallForwardingStatus (voiceGetCallFWReq *pVoiceGetCallFWReq, voiceGetCallFWResp *pVoiceGetCallFWResp)
ULONG | SLQSVoiceSetCallBarringPassword (voiceSetCallBarringPwdInfo *pVoiceSetCallBarringPwdInfo, voiceSetCallBarringPwdResp *pSetCallBarringPwdResp)
ULONG | SLQSVoiceGetCallInfo (voiceCallInfoReq *pGetCallInfoReq, voiceCallInfoResp *pGetCallInfoResp)
ULONG | SLQSVoiceGetAllCallInfo (voiceGetAllCallInfo *pGetAllCallInfo)
ULONG | SLQSVoiceManageCalls (voiceManageCallsReq *pVoiceManageCallsReq, voiceManageCallsResp *pVoiceManageCallsResp)
ULONG | SLQSVoiceBurstDTMF (voiceBurstDTMFInfo *pBurstDTMFInfo)
ULONG | SLQSVoiceStartContDTMF (voiceContDTMFinfo *pContDTMFInfo)
ULONG | SLQSVoiceStopContDTMF (voiceStopContDTMFinfo *pVoiceStopContDTMFinfo)
ULONG | SLQSVoiceSendFlash (voiceFlashInfo *pFlashInfo)
ULONG | SLQSVoiceSetPreferredPrivacy (voiceSetPrefPrivacy *pSetPrefPrivacy)
ULONG | SLQSVoiceIndicationRegister (voiceIndicationRegisterInfo *pVoiceIndicationRegisterInfo)
ULONG | SLQSVoiceGetConfig (voiceGetConfigReq *pVoiceGetConfigReq, voiceGetConfigResp *pVoiceGetConfigResp)
ULONG | SLQSVoiceOrigUSSDNoWait (voiceOrigUSSDNoWaitInfo *pVoiceOrigUSSDNoWaitInfo)
ULONG | SLQSVoiceBindSubscription (voiceBindSubscriptionInfo *pVoiceBindSubscriptionInfo)
ULONG | SLQSVoiceALSSetLineSwitching (voiceALSSetLineSwitchInfo *pVoiceALSSetLineSwitchInfo)
ULONG | SLQSVoiceALSSelectLine (voiceALSSelectLineInfo *pVoiceALSSelectLineInfo)
ULONG | SLQSVoiceGetCOLP (voiceGetCOLPResp *pVoiceGetCOLPResp)
ULONG | SLQSVoiceGetCOLR (voiceGetCOLRResp *pVoiceGetCOLRResp)
ULONG | SLQSVoiceGetCNAP (voiceGetCNAPResp *pVoiceGetCNAPResp)
ULONG | SLQSOriginateUSSD (struct USSInfo *pReq, struct USSResp *pResp)

## Detailed Description

Voice Service API function prototypes.

Copyright: © 2011-12 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define MAX_CALL_NO_LEN 81

#define MAX_DESCRIPTION_LENGTH 255

#define MAX_NO_OF_CALLS 20

#define MAXUSSDLENGTH 182

#define PASSWORD_LENGTH 4

## Enumeration Type Documentation

enum serviceClassInformation

Service Class information

Enumerator
VOICE_SUPS_SRV_CLASS_NONE |
VOICE_SUPS_SRV_CLASS_VOICE |
VOICE_SUPS_SRV_CLASS_DATA |
VOICE_SUPS_SRV_CLASS_FAX |
VOICE_SUPS_SRV_CLASS_SMS |
VOICE_SUPS_SRV_CLASS_DATACIRCUITSYNC |
VOICE_SUPS_SRV_CLASS_DATACIRCUITASYNC |
VOICE_SUPS_SRV_CLASS_PACKETACCESS |
VOICE_SUPS_SRV_CLASS_PADACCESS |

## Function Documentation

ULONG AnswerUSSD | ( | BYTE * | pInfo | ) |

Responds to a USSD request from the network.

Parameters

  pInfo[IN] | USS information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 5 mins

ULONG CancelUSSD | ( |  | ) |

Cancels an in-progress USSD operation.

Parameters

  None |

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs

ULONG OriginateUSSD | ( | BYTE * | pInfo | ) |

Initiates a USSD operation.

Parameters

  pInfo[IN] | USS information See USSInfo for more details

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 5 mins

ULONG SLQSOriginateUSSD | ( | struct USSInfo * | pReq,
|  | struct USSResp * | pResp
| ) |  |

Initiates a USSD session.

Parameters

  pReq | [IN] USS information See USSInfo for more details
  pResp | [OUT] USS information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Device Supported: MC83x5
  Timeout: 5 mins

ULONG SLQSVoiceALSSelectLine | ( | voiceALSSelectLineInfo * | pVoiceALSSelectLineInfo | ) |

This API allows the user to select the preferred line.

Parameters

  pVoiceALSSelectLineInfo | See voiceALSSelectLineInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API allows the user to select the preferred line, and the status is updated on the card. The API is supported only for specific SIM/USIMs that support alternate line service. This command is applicable only in 3GPP devices. A No Effect error is returned if the update on the card fails.

ULONG SLQSVoiceALSSetLineSwitching | ( | voiceALSSetLineSwitchInfo * | pVoiceALSSetLineSwitchInfo | ) |

This API sets the line switch setting on the card.

Parameters

  pVoiceALSSetLineSwitchInfo | See voiceALSSetLineSwitchInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API sets a line to be switchable or unswitchable, and the switch status is updated on the card. The API is supported only for specific SIM/USIMs that support alternate line service. This command is applicable only in 3GPP devices. A No Effect error is returned if the update on the card fails.

ULONG SLQSVoiceAnswerCall | ( | voiceAnswerCall * | pVoiceAnswerCall | ) |

Answers an incoming voice call.

Parameters

  pVoiceAnswerCall[IN/OUT] | Pointer to structure of voiceAnswerCall See voiceAnswerCall for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 10 Secs
  This API is used to answer an incoming voice call when the incoming voice call is the only call present at that time. If there are other calls while an incoming call (waiting call) is received, API "SLQSVoiceSendFlash" can be used case of 3GPP2(CDMA) and API "SLQSVoiceManageCalls" in the case of 3GPP(UMTS). If the result indicates success,the device has started the requested operation and it does not mean that the call has been answered. "SLQSVoiceSetAllCallStatusCallback" can be subscribed to check the call Information/State.

ULONG SLQSVoiceBindSubscription | ( | voiceBindSubscriptionInfo * | pVoiceBindSubscriptionInfo | ) |

This API binds a subscription type to a specific voice client ID.

Parameters

  pVoiceBindSubscriptionInfo | See voiceBindSubscriptionInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  Some versions of the modem support the Dual SIM feature. With this feature the modem can register with two different cellular networks simultaneously. Each network registration is associated with a different subscription, e.g., phone number, such that the modem appears to the network to be two different users. By default, the Voice client is bound to the primary subscription. This command allows the Voice client to change this binding. After receiving a successful response to this command, all future commands sent by the client will affect the newly bound subscription only.

ULONG SLQSVoiceBurstDTMF | ( | voiceBurstDTMFInfo * | pBurstDTMFInfo | ) |

Sends a burst Dual-Tone Multifrequency (DTMF) (applicable only for 3GPP2)

Parameters

  pBurstDTMFInfo | Structure containing parameters of burst DTMF. See voiceBurstDTMFInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 30 Secs
  Applicable only for 3GPP2. This API sends a burst DTMF.If API result indicates success, this means the device has started the requested operation. It does not mean that the burst DTMF request has been sent to the network. A burst DTMF request is sent to the current active/alerting call when CallId is set to 0xFF. This API is applicable only in 3GPP2.

ULONG SLQSVoiceDialCall | ( | voiceCallRequestParams * | pCallRequestParams,
|  | voiceCallResponseParams * | pCallResponseParams
| ) |  |

Originates a voice call (MO call).

Parameters

  pCallRequestParams[IN] | Pointer to structure of voiceCallRequestParams See voiceCallRequestParams for more information
  pCallResponseParams[OUT] | Pointer to structure of voiceCallResponseParams See voiceCallResponseParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  This API originates a voice call (MO). If the function returns success with a call_id, the device has started the requested operation. It does not mean that the call has been connected. SLQSVoiceSetAllCallStatusCallback() callback can be subscribed to learn if the call was successful.

ULONG SLQSVoiceEndCall | ( | BYTE * | pCallId | ) |

This message ends a voice call

Parameters

  pCallId | [IN/OUT] Unique call identifier for the call that must be ended

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  If the function returns success, the device has started the requested operation. It does not mean that the call has been ended. The application should always process the SLQSVoiceSetAllCallStatusCallback() callback to learn if the call was ended.

ULONG SLQSVoiceGetAllCallInfo | ( | voiceGetAllCallInfo * | pGetAllCallInfo | ) |

This API queries the information associated with all the calls originating or terminating from a particular device.

Parameters

  pGetAllCallInfo[OUT] | See voiceGetAllCallInfo for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  This command is used by the control point to get information of all the calls to and fro from the device in progress. The information keeps on updating constantly, as the state of a call changes example,from incoming to conversation to terminated.
  This API requires a firmware with atleast voice 2.0 support.

ULONG SLQSVoiceGetCallBarring | ( | voiceGetCallBarringReq * | pVoiceGetCallBarringReq,
|  | voiceGetCallBarringResp * | pVoiceGetCallBarringResp
| ) |  |

Queries the status of Call Barring Supplementary Service (applicable only for 3GPP).

Parameters

  pVoiceGetCallBarringReq[IN] | Pointer to structure of voiceGetCallBarringReq See voiceGetCallBarringReq for more information
  pVoiceGetCallBarringResp[OUT] | Pointer to structure of voiceGetCallBarringResp See voiceGetCallBarringResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API queries the status of the call barring supplementary service, i.e., to find whether the call barring supplementary service is active and, if active, for which service classes it is active. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCallForwardingStatus | ( | voiceGetCallFWReq * | pVoiceGetCallFWReq,
|  | voiceGetCallFWResp * | pVoiceGetCallFWResp
| ) |  |

Queries the status of Call Forwarding Supplementary Service.

Parameters

  pVoiceGetCallFWReq[IN] | Pointer to structure of voiceGetCallFWReq See voiceGetCallFWReq for more information
  pVoiceGetCallFWResp[OUT] | Pointer to structure of voiceGetCallFWResp See voiceGetCallFWResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API queries the status of the call forwarding supplementary service, i.e., to find whether the call forwarding supplementary service is active and, if active, for which service classes and call forwarding number it is active. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCallInfo | ( | voiceCallInfoReq * | pGetCallInfoReq,
|  | voiceCallInfoResp * | pGetCallInfoResp
| ) |  |

This API queries the information associated with a call and gives information about a particular call whose call Id is sent in as request.

Parameters

  pGetCallInfoReq[IN] | See voiceCallInfoReq for more information.
  pGetCallInfoResp[OUT] | See voiceCallInfoResp for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  If no voice call is in progress or an invalid call_id is sent in the request, an error is returned as the response.
  This API requires a firmware with atleast voice 2.0 support.

ULONG SLQSVoiceGetCallWaiting | ( | voiceGetCallWaitInfo * | pVoiceGetCallWaitInfo | ) |

Queries the status of Call Waiting Supplementary Service (applicable only for 3GPP).

Parameters

  pVoiceGetCallWaitInfo[IN/OUT] | Pointer to structure of voiceGetCallWaitInfo See voiceGetCallWaitInfo for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API queries the status of the call waiting supplementary service, i.e., to find whether the call waiting supplementary service is active. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCLIP | ( | voiceGetCLIPResp * | pVoiceGetCLIPResp | ) |

Queries the status of the Calling Line Identification Presentation (CLIP) supplementary service (applicable only for 3GPP).

Parameters

  pVoiceGetCLIPResp[OUT] | Pointer to structure of voiceGetCLIPResp See voiceGetCLIPResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API queries the status of the CLIP supplementary service. The active_status field is only applicable when provision_status is PROVISIONED, i.e., there is not any case where provision_status is NOT_PROVISIONED and active_status is ACTIVE. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCLIR | ( | voiceGetCLIRResp * | pVoiceGetCLIRResp | ) |

Queries the status of the Calling Line Identification Restriction (CLIR) supplementary service (applicable only for 3GPP).

Parameters

  pVoiceGetCLIRResp[OUT] | Pointer to structure of voiceGetCLIRResp See voiceGetCLIRResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API queries the status of the CLIR supplementary service. The active_status field is only applicable when provision_status is PROVISIONED, i.e., there is not any case where provision_status is NOT_PROVISIONED and active_status is ACTIVE. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCNAP | ( | voiceGetCNAPResp * | pVoiceGetCNAPResp | ) |

Queries the status of the Calling Name Presentation(CNAP) supplementary service (applicable only for 3GPP).

Parameters

  pVoiceGetCNAPResp[OUT] | Pointer to structure of voiceGetCNAPResp See voiceGetCNAPResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs

This API queries the status of the CNAP supplementary service. A response indicates whether CNAP is active/inactive and provisioned/not provisioned in the network. The active_status field is only applicable when provision_status is PROVISIONED, i.e., there is not any case where provision_status is NOT_PROVISIONED and active_status is ACTIVE. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCOLP | ( | voiceGetCOLPResp * | pVoiceGetCOLPResp | ) |

Queries the status of the Connected Line Identification Presentation (COLP) supplementary service (applicable only for 3GPP).

Parameters

  pVoiceGetCOLPResp[OUT] | Pointer to structure of voiceGetCOLPResp See voiceGetCOLPResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs

This API queries the status of the COLP supplementary service. A response indicates whether COLP is active/inactive and provisioned/not provisioned in the network. The active_status field is only applicable when provision_status is PROVISIONED, i.e., there is not any case where provision_status is NOT_PROVISIONED and active_status is ACTIVE. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetCOLR | ( | voiceGetCOLRResp * | pVoiceGetCOLRResp | ) |

Queries the status of the Connected Line Identification Restriction (COLR) supplementary service (applicable only for 3GPP).

Parameters

  pVoiceGetCOLRResp[OUT] | Pointer to structure of voiceGetCOLRResp See voiceGetCOLRResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs

This API queries the status of the COLR supplementary service. A response indicates whether COLR is active/inactive and provisioned/not provisioned in the network. The active_status field is only applicable when provision_status is PROVISIONED, i.e., there is not any case where provision_status is NOT_PROVISIONED and active_status is ACTIVE. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceGetConfig | ( | voiceGetConfigReq * | pVoiceGetConfigReq,
|  | voiceGetConfigResp * | pVoiceGetConfigResp
| ) |  |

This API retrieves various configuration parameters that control the modem behavior related to circuit switched services.

Parameters

  pVoiceGetConfigReq | Structure containing Get Config request parameters. See voiceGetConfigReq for more informtaion.
  pVoiceGetConfigResp | Structure containing Get Config response parameters. See voiceGetConfigResp for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  Any invalid value in a request message causes the service point to reject the message without retrieving any configuration information.

ULONG SLQSVoiceIndicationRegister | ( | voiceIndicationRegisterInfo * | pVoiceIndicationRegisterInfo | ) |

Sets the registration state for different QMI_VOICE indications for the requesting control point

Parameters

  pVoiceIndicationRegisterInfo[IN] | Structure containing Indication Register Information. See voiceIndicationRegisterInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 10 Secs

          This API is used by a device to register/deregister for different
          QMI VOICE indications.
          The device's registration state variables that control registration
          for indications will be modified to reflect the settings indicated in the
          request message.
          At least one optional parameter must be present in the request.

ULONG SLQSVoiceManageCalls | ( | voiceManageCallsReq * | pVoiceManageCallsReq,
|  | voiceManageCallsResp * | pVoiceManageCallsResp
| ) |  |

Manages the calls by using the supplementary service applicable during the call. In cases of successful API completion if the state of any call is changed, it is indicated using CallBack SLQSVoiceSetAllCallStatusCallBack. If there are other calls while an incoming voice call (waiting call) is received, this API is used to Answer the call. This API is applicable only in "3GPP devices".

Parameters

  pVoiceManageCallsReq[IN] | Request structure of to manage calls.
  pVoiceManageCallsResp[OUT] | Response Struture to manage Calls

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 10 Secs
  Applicable only for "3GPP"

ULONG SLQSVoiceOrigUSSDNoWait | ( | voiceOrigUSSDNoWaitInfo * | pVoiceOrigUSSDNoWaitInfo | ) |

This API initiates a USSD operation such that the response for this request is returned immediately and the data is returned via an indication.

Parameters

  pVoiceOrigUSSDNoWaitInfo | See voiceOrigUSSDNoWaitInfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API starts a new USSD operation. The response to the request is sent immediately. The response result is sent to the client via the SLQSVoiceOrigUSSDNoWaitCallback. This command is applicable only in 3GPP devices.

ULONG SLQSVoiceSendFlash | ( | voiceFlashInfo * | pFlashInfo | ) |

This API sends a simple flash message. Applicable only for 3GPP2 devices.

Parameters

  pFlashInfo[IN/OUT] | See voiceFlashInfo for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Timeout: 10 Secs
  If success, it only means the device has started the requested operation and not that the Flash has been sent. If the optional parameter Flash Type is not set, the default flash type is assumed to be a simple flash. If the parameter Flash Type is set to 1 the call ID corresponding to it is either an incoming or waiting call's call ID. If the parameter Flash Type is set to 2 the call ID corresponding to it is a held call's call ID. A Flash request is sent to the appropriate call when call_id is set to 0xFF.

ULONG SLQSVoiceSetCallBarringPassword | ( | voiceSetCallBarringPwdInfo * | pVoiceSetCallBarringPwdInfo,
|  | voiceSetCallBarringPwdResp * | pSetCallBarringPwdResp
| ) |  |

Sets a Call Barring Password (applicable only for 3GPP).

Parameters

  pVoiceSetCallBarringPwdInfo[IN] | Pointer to structure of voiceSetCallBarringPwdInfo See voiceSetCallBarringPwdInfo for more information
  pSetCallBarringPwdResp[OUT] | Pointer to structure of voiceSetCallBarringPwdResp See voiceSetCallBarringPwdResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  This API changes the call barring supplementary service password. The request is a blocking request, i.e., the response is sent only after confirmation is received from the network. The maximum time it takes for the response to be sent is approximately 30 sec. This API is applicable only in 3GPP devices.

ULONG SLQSVoiceSetConfig | ( | voiceSetConfigReq * | pVoiceSetConfigReq,
|  | voiceSetConfigResp * | pVoiceSetConfigResp
| ) |  |

This message sets various configuration parameters that control the modem behavior related to circuit-switched services.

Parameters

  pVoiceSetConfigReq[IN] | Pointer to structure of voiceSetConfigReq See voiceSetConfigReq for more information
  pVoiceSetConfigResp[OUT] | Pointer to structure of voiceSetConfigResp See voiceSetConfigResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  Any invalid value in a request message causes the device to reject the message without updating any configuration information. In the case of a successful update of all requested information, a QMI_ERR_NONE error is returned. In the case where a subset of information failed to be written, a QMI_ERR_INTERNAL error is returned with corresponding optional information requested in the request message.

ULONG SLQSVoiceSetPreferredPrivacy | ( | voiceSetPrefPrivacy * | pSetPrefPrivacy | ) |

This API sets the voice privacy preference. Applicable only for 3GPP2 devices.

Parameters

  pSetPrefPrivacy[IN] | See voiceSetPrefPrivacy for more information.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA
  Device Supported: SL9090
  Timeout: 10 Secs

ULONG SLQSVoiceSetSUPSService | ( | voiceSetSUPSServiceReq * | pVoiceSetSUPSServiceReq,
|  | voiceSetSUPSServiceResp * | pVoiceSetSUPSServiceResp
| ) |  |

This API manages call-independent supplementary services, e.g., activation of call forwarding (to forward incoming calls to a third party), activation of call barring (to request the network to block some of the call attempts), and activation of call waiting (to be notified of an incoming call even when the user is engaged in an active or held call).

Parameters

  pVoiceSetSUPSServiceReq | [IN] Pointer to structure of voiceSetSUPSServiceReq See voiceSetSUPSServiceReq for more information
  pVoiceSetSUPSServiceResp | [OUT] Pointer to structure of voiceSetSUPSServiceResp See voiceSetSUPSServiceResp for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS
  Timeout: 30 Secs
  Some of the call-independent services are provided by the network operator as part of the service agreement. If they are not provided by default, the user has to explicitly request them. This API provides the facility to the control point for sending the explicit request to the network for enabling/disabling

ULONG SLQSVoiceStartContDTMF | ( | voiceContDTMFinfo * | pContDTMFInfo | ) |

Starts a continuous DTMF.

Parameters

  pContDTMFInfo | Structure containing Continuous DTMF Information. See voiceContDTMFinfo for more informtaion.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  This API starts a continuous DTMF. If the API results indicates success,it means that the device has started the requested operation. It does not mean that the start continuous DTMF request has been sent to the network. A start continuous DTMF request is sent to the current active/alerting call when CallId is set to 0xFF.

ULONG SLQSVoiceStopContDTMF | ( | voiceStopContDTMFinfo * | pVoiceStopContDTMFinfo | ) |

Stops a continuous DTMF.

Parameters

  pVoiceStopContDTMFinfo | Structure containing Continuous Stop DTMF Information. See voiceStopContDTMFinfo for more informtaion. Start continuous DTMF request is sent to the current active/alerting call when CallId is set to 0xFF. This is IN/OUT params;value passed by user will packed in request and before unpacking response this will be assigned with an invalid callID value "0". It change to a valid value if received as part of response otherwise Invalid value willl be present.

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Timeout: 30 Secs
  This API starts a continuous DTMF. If the API results indicates success, it means that the device has started the requested operation. It does not mean that the start continuous DTMF request has been sent to the network. A stop continuous DTMF request is sent to the current active/alerting call when CallId is set to 0xFF.